# Class TableColumnOptionComponent

#### Implements

- OnInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:20

#####
Index

### Constructors

constructor

### Properties

active
name

### Accessors

display
hidden
inactive
show

### Methods

activate
deactivate
ngOnInit
toggle

##
Constructors

### constructor

- new TableColumnOptionComponent(
  _element: ElementRef<HTMLElement>,
  router: Router,
  ): TableColumnOptionComponent

  #### Parameters

  - _element: ElementRef<HTMLElement>
  - router: Router

  #### Returns TableColumnOptionComponent

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:60

##
Properties

### active

active: boolean = true

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:25

### name

name: string

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:22

##
Accessors

### display

- get display(): string

  The displayed value of the option. It is necessary to show the selected option in the select's trigger.

  #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:31

### hidden

- get hidden(): boolean | ""

  #### Returns boolean | ""

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:45
- set hidden(value: boolean | ""): void

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:41

### inactive

- set inactive(value: boolean | ""): void

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:36

### show

- set show(value: boolean): void

  #### Parameters

  - value: boolean

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:52

##
Methods

### activate

- activate(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:82

### deactivate

- deactivate(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:87

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:67

### toggle

- toggle(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:77